summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRico Tzschichholz <ricotz@ubuntu.com>2018-02-05 15:46:09 +0100
committerRico Tzschichholz <ricotz@ubuntu.com>2018-02-05 15:46:09 +0100
commit78c37a77eeea95526305c7907a379f86de958810 (patch)
treec3f9462b3f9e275b23b1345dedefc0f3c155a956
parent05e2c44d0d6a20d3cd4f1ae8833f933e9a8a4a2b (diff)
downloadvala-78c37a77eeea95526305c7907a379f86de958810.tar.gz
testrunner: Accept Packages in header of Invalid Code tests
-rwxr-xr-xtests/testrunner.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/testrunner.sh b/tests/testrunner.sh
index 7e0fef939..6025cac0c 100755
--- a/tests/testrunner.sh
+++ b/tests/testrunner.sh
@@ -120,7 +120,8 @@ EOF
function sourceend() {
if [ -n "$testpath" ]; then
if [ $INVALIDCODE -eq 1 ]; then
- echo "! $VALAC $VALAFLAGS -C $SOURCEFILE" > check
+ PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
+ echo "! $VALAC $VALAFLAGS $PACKAGEFLAGS -C $SOURCEFILE" > check
elif [ $GIRTEST -eq 1 ]; then
if [ $PART -eq 1 ]; then
echo " </namespace>" >> $SOURCEFILE